Busy Plugin - Defect #362

Busy stopped in Developer
08/21/2011 04:12 PM - Frank Veges

Status: Closed Start date: 08/21/2011
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description
Been using the busy plugin without a problem then suddenly in Developer it just does not work any more for web client.

Tried using SC and all good.

Created a new test solution (see http:/forum.servoy.com/viewtopic.php?f=15&t=16706 ) and that does not work either ... Also am
using version Servoy 5.2.1 java 1.6 Update 23 and tried with the latest and previous versions of the busy plugin.

Am wondering if I've hit a limit or something as I've done aload of testing with the http.getPageData, and either as a result of testing
either cancelled the busy plugin or killed the browser session. | even tried an ealrier backed up version of the solution and that no
longer works. I've applied no updates to windows, java etc either.

History

#1 - 08/21/2011 05:25 PM - Patrick Talbot

There is no usage limit to the plugin.

What if you try something else than plugins.http.getPageData? Does this still not work?

Also what OS platform are you using? And what browser is this?

#2 - 08/22/2011 01:49 AM - Frank Veges

Using W7 Pro SP1

Had been using IE 9 as this was default with my eclipse. Tried Chrome and Firefox and they both don't work either.

Just tested it without the getPageData and it still does not work. | tried an application.sleep and also simple loop with a large value doing some

calculation. Interesting when | put a break point inside the loop | notice the browser completes (I see the Servoy red box in top right corner disappear
almost immediately and then the break point kicks in after).

#3 - 08/22/2011 11:14 AM - Frank Veges
| created a dummy solution on another pc W7 Pro java update 25 with a new install of 5.2.9 and it also does not display anything.

Initially | started seeing this error then copied the latest plugin (was not sure which version | had on the 2nd pc) and the error below disappeared but
still the blacked out screen in the web client does not show (SC works fine ).

JavaException: java.lang.lllegalStateException: you can only locate or create sessions in the context of a request cycle

#4 - 08/22/2011 03:16 PM - Patrick Talbot

Yes, | can see some erratic behavior (where the bean sometimes work, sometimes doesn't, or is called after the process), with the sample solution as
well, which is new. Could you send me your sample as well so that I'll investigate?
Thanks.

#5 - 08/23/2011 08:31 AM - Frank Veges

- File test.servoy added

Also found out that an F5 on the browser after the page loads seems to resolve it until you close the browser, restart the WC and it fails until F% is hit
again. My sample solution attached ...

Thanks for taking the time.
#6 - 08/23/2011 11:11 PM - Patrick Talbot
- File busyTest.servoy added

- Status changed from New to Closed

I have slightly changed the call to the process (check v2.1.3), which should work better, although | sometimes see some wrong behavior, due to the

Threading model Servoy imposes on the Web client.

I'm afraid there is little | can do about it, it works 99% of the time, if you don't click/cancel/click/cancel without leaving it any time to react correctly (web

client is a lot slower to pass events back and forth).
Still, you MUST add a call to prepare() in the onShow event of your form:
onShow (event) {

plugins.busy.prepare();
}

Also if you are using a cancel button, don't forget to check if the user canceled in your loop like this:

if (plugins.busy.isCanceled()) {
break;

}

See your updated sample to see how it should be done.

Files

test.servoy 3.81 KB 08/23/2011 Frank Veges

busyTest.servoy 4.04 KB 08/23/2011 Patrick Talbot
